Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11DSAPublicKey

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Key
            |
            +--org.mozilla.jss.pkcs11.PK11PubKey
                  |
                  +--org.mozilla.jss.pkcs11.PK11DSAPublicKey

All Implemented Interfaces:
  java.security.interfaces.DSAKey, java.security.interfaces.DSAPublicKey, java.security.Key, java.security.PublicKey, java.io.Serializable

public final class PK11DSAPublicKey
extends PK11PubKey
implements java.security.interfaces.DSAPublicKey

See Also:
  Serialized Form

Fields inherited from class org.mozilla.jss.pkcs11.PK11Key
`keyProxy`

Fields inherited from interface java.security.interfaces.DSAPublicKey
`serialVersionUID`

Constructor Summary
`PK11DSAPublicKey(byte[] pointer)`

Method Summary
`private byte[]` | `getGByteArray()`
`java.security.interfaces.DSAParams` | `getParams()`
`private byte[]` | `getPByteArray()`
`private byte[]` | `getQByteArray()`
`java.math.BigInteger` | `getY()`
`private byte[]` | `getYByteArray()`

Methods inherited from class org.mozilla.jss.pkcs11.PK11PubKey
`DSAFromRaw, fromRaw, getEncoded, getFormat, getKeyType, RSAFromRaw, verifyKeyIsOnToken`

Methods inherited from class org.mozilla.jss.pkcs11.PK11Key
`getAlgorithm, readObject, writeObject`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Constructor Detail

### PK11DSAPublicKey

    public PK11DSAPublicKey(byte[] pointer)

Method Detail

### getParams

    public java.security.interfaces.DSAParams getParams()

  Specified by:
    `getParams` in interface `java.security.interfaces.DSAKey`

### getY

    public java.math.BigInteger getY()

  Specified by:
    `getY` in interface `java.security.interfaces.DSAPublicKey`

### getPByteArray

    private byte[] getPByteArray()

### getQByteArray

    private byte[] getQByteArray()

### getGByteArray

    private byte[] getGByteArray()

### getYByteArray

    private byte[] getYByteArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD